JNA API 3.3.0

## com.sun.jna.platform.win32
Class DsGetDC.PDS_DOMAIN_TRUSTS

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.DsGetDC.PDS_DOMAIN_TRUSTS

Direct Known Subclasses:
  DsGetDC.PDS_DOMAIN_TRUSTS.ByReference

Enclosing interface:
  DsGetDC

    public static class DsGetDC.PDS_DOMAIN_TRUSTS

extends Structure

A pointer to an array of DS_DOMAIN_TRUSTS.

Nested Class Summary
`static class` | `DsGetDC.PDS_DOMAIN_TRUSTS.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`DsGetDC.DS_DOMAIN_TRUSTS.ByReference` | `t`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`DsGetDC.PDS_DOMAIN_TRUSTS()`

Method Summary
`DsGetDC.DS_DOMAIN_TRUSTS[]` | `getTrusts(int count)` Returns domain trusts.

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### t

    public DsGetDC.DS_DOMAIN_TRUSTS.ByReference t

Constructor Detail

### DsGetDC.PDS_DOMAIN_TRUSTS

    public DsGetDC.PDS_DOMAIN_TRUSTS()

Method Detail

### getTrusts

    public DsGetDC.DS_DOMAIN_TRUSTS[] getTrusts(int count)

  Returns domain trusts.

  Parameters:
    `count` - Number of domain trusts.
  Returns:
    An array of domain trusts.

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.